# Remove in metadata

Remove a specific nested path from a metadata object.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/remove-in-metadata HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  key: string,
  path: string,
  version: number?,
}
```

Returns: boolean

## Request arguments

### `key` (string)

**Required**. The unique key for the metadata.

### `path` (string)

**Required**. The dot-separated path to remove.

### `version` (number)

_Optional_. The version number for optimistic locking.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
